Initialize a new `HTML` reporter.

- This reporter cannot be used on the console.

see

  https://mochajs.org/api/Mocha.reporters.HTML.html

### Hierarchy

- HTML

## Index

### Methods

- addCodeToggle
- suiteURL
- testURL

## Methods

### addCodeToggle

- addCodeToggle(el: HTMLLIElement, contents: string): void

- - Defined in node_modules/@types/mocha/index.d.ts:918

  Adds code toggle functionality for the provided test's list element.

  see

    https://mochajs.org/api/Mocha.reporters.HTML.html#addCodeToggle

  #### Parameters

  - ##### el: HTMLLIElement

  - ##### contents: string

  #### Returns void

### suiteURL

- suiteURL(suite: Suite): string

- - Defined in node_modules/@types/mocha/index.d.ts:904

  Provide suite URL.

  see

    https://mochajs.org/api/Mocha.reporters.HTML.html#suiteURL

  #### Parameters

  - ##### suite: Suite

  #### Returns string

### testURL

- testURL(test: Test): string

- - Defined in node_modules/@types/mocha/index.d.ts:911

  Provide test URL.

  see

    https://mochajs.org/api/Mocha.reporters.HTML.html#testURL

  #### Parameters

  - ##### test: Test

  #### Returns string

Generated using TypeDoc